Athena
Credentials

List registered S3 credentials

Returns reusable S3 credential catalog entries stored in the Athena client database selected by `X-Athena-Client`.

GET
/storage/credentials

Header Parameters

apikey*string

The static admin key configured as ATHENA_KEY_12. Authorization headers (Bearer <key>), X-API-Key, X-Athena-Key, or ?api_key= are also accepted.

X-Athena-Client*string

Logical Athena client whose database stores the S3 credential catalog.

Response Body

application/json

curl -X GET "https://athena-cluster.com/storage/credentials" \  -H "apikey: string" \  -H "X-Athena-Client: string"
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "s3_id": "8af08875-1c30-4b11-b668-b572a769e623",
      "name": "string",
      "description": "string",
      "endpoint": "string",
      "region": "string",
      "bucket": "string",
      "provider": "string",
      "access_key": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ]
}
Empty
Empty
Empty